lapacke_cuncsd_work.c(3)

NAME
lapacke_cuncsd_work.c

SYNOPSIS

#include 'lapacke_utils.h'

  Functions
lapack_int LAPACKE_cuncsd_work (int matrix_layout, char jobu1, char jobu2, char jobv1t, char jobv2t, char trans, char signs, lapack_int m, lapack_int p, lapack_int q, lapack_complex_float *x11, lapack_int ldx11, lapack_complex_float *x12, lapack_int ldx12, lapack_complex_float *x21, lapack_int ldx21, lapack_complex_float *x22, lapack_int ldx22, float *theta, lapack_complex_float *u1, lapack_int ldu1, lapack_complex_float *u2, lapack_int ldu2, lapack_complex_float *v1t, lapack_int ldv1t, lapack_complex_float *v2t, lapack_int ldv2t, lapack_complex_float *work, lapack_int lwork, float *rwork, lapack_int lrwork, lapack_int *iwork)

Function Documentation

  lapack_int LAPACKE_cuncsd_work (int matrix_layout, char jobu1, char jobu2, char jobv1t, char jobv2t, char trans, char signs, lapack_int m, lapack_int p, lapack_int q, lapack_complex_float * x11, lapack_int ldx11, lapack_complex_float * x12, lapack_int ldx12, lapack_complex_float * x21, lapack_int ldx21, lapack_complex_float * x22, lapack_int ldx22, float * theta, lapack_complex_float * u1, lapack_int ldu1, lapack_complex_float * u2, lapack_int ldu2, lapack_complex_float * v1t, lapack_int ldv1t, lapack_complex_float * v2t, lapack_int ldv2t, lapack_complex_float * work, lapack_int lwork, float * rwork, lapack_int lrwork, lapack_int * iwork)

Definition at line 36 of file lapacke_cuncsd_work.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.